[DRE-commits] [diaspora-installer] 04/04: check DB_NAME correctly
Praveen Arimbrathodiyil
praveen at moszumanska.debian.org
Sun Aug 28 19:29:08 UTC 2016
This is an automated email from the git hooks/post-receive script.
praveen pushed a commit to branch master
in repository diaspora-installer.
commit 5b0a9d32f4cb5ed34c0e5f1020b9e0c74733e1fe
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date: Mon Aug 29 00:55:07 2016 +0530
check DB_NAME correctly
---
set-env-diaspora.sh | 16 ++++++++++------
1 file changed, 10 insertions(+), 6 deletions(-)
diff --git a/set-env-diaspora.sh b/set-env-diaspora.sh
index c04c441..bd8cfa6 100755
--- a/set-env-diaspora.sh
+++ b/set-env-diaspora.sh
@@ -4,20 +4,24 @@
. /etc/diaspora/diaspora-common.conf
if test -f ${diaspora_conf}; then
echo "Using ${diaspora_conf}..."
+
if ! grep BUNDLE_WITH ${diaspora_conf} >/dev/null; then
echo "Older versions did not set BUNDLE_WITH variable"
echo "Setting BUNDLE_WITH variable in ${diaspora_conf}..."
- if [ $(grep DB ${diaspora_conf} |cut -d= -f2) = "postgres" ]; then
+
+ if [ $(grep DB ${diaspora_conf} |cut -d= -f2) = "postgres" ]; then
echo export BUNDLE_WITH=postgresql >> ${diaspora_conf}
else
echo export BUNDLE_WITH=mysql >> ${diaspora_conf}
fi
- if ! grep DB_NAME ${diaspora_conf} ; then
- echo "Older versions did not set DB_NAME variable"
- echo "Setting DB_NAME variable in ${diaspora_conf}..."
- echo export DB_NAME=diaspora_production >> ${diaspora_conf}
- fi
fi
+
+ if ! grep DB_NAME ${diaspora_conf} ; then
+ echo "Older versions did not set DB_NAME variable"
+ echo "Setting DB_NAME variable in ${diaspora_conf}..."
+ echo export DB_NAME=diaspora_production >> ${diaspora_conf}
+ fi
+
# source diaspora variables
. ${diaspora_conf}
else
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/diaspora-installer.git
More information about the Pkg-ruby-extras-commits
mailing list